import { Meta } from "@kie-tools/xml-parser-ts";
import { DMN14__tDefinitions } from "./schemas/dmn-1_4/ts-gen/types";
import "./kie-extensions";
declare type DmnMarshaller = {
    parser: {
        parse(): DmnDefinitions;
    };
    builder: {
        build(json: DmnDefinitions): string;
    };
    instanceNs: Map<string, string>;
    root: {
        element: string;
        type: string;
    };
    meta: Meta;
    version: "1.0" | "1.1" | "1.2" | "1.3" | "1.4";
};
export declare type DmnDefinitions = {
    definitions: DMN14__tDefinitions;
};
export declare function getMarshaller(xml: string): DmnMarshaller;
export {};
//# sourceMappingURL=index.d.ts.map